Bug 474956 - yum gets deprecation complaints after a Python update
Summary: yum gets deprecation complaints after a Python update
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-06 01:50 UTC by Michal Jaegermann
Modified: 2014-01-21 23:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-07 18:35:53 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2008-12-06 01:50:11 UTC
Description of problem:

With python at 2.6 yum now produces messages like these:

/usr/lib/python2.6/site-packages/yum/sqlitesack.py:45: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  if hasattr(e, "message"):
/usr/lib/python2.6/site-packages/yum/sqlitesack.py:46: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  raise Errors.RepoError, str(e.message)
/usr/lib/python2.6/site-packages/yum/pgpmsg.py:16: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import struct, time, cStringIO, base64, types, md5, sha
/usr/lib/python2.6/site-packages/yum/pgpmsg.py:16: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import struct, time, cStringIO, base64, types, md5, sha
/usr/lib/python2.6/site-packages/iniparse/ini.py:46: DeprecationWarning: the sets module is deprecated
  from sets import Set

The last one is actually from python-iniparse-0.2.3-5.fc11.noarch.

It does work but it bitches all the time. :-)

Version-Release number of selected component (if applicable):
yum-3.2.20-6.fc1
python-2.6-1.fc11

Comment 1 James Antill 2008-12-06 06:56:14 UTC
 I can fix the first two as soon as I know how to.

 The next two are already fixed, and will go into rawhide "soon".

 As you say the last isn't yum.

Comment 2 Jon Stanley 2008-12-06 14:10:55 UTC
triaged

Comment 3 Michal Jaegermann 2008-12-06 15:01:15 UTC
> As you say the last isn't yum.

So do I have to file another one for python-iniparse or I should not bother?

Comment 4 Jon Stanley 2008-12-06 15:23:39 UTC
I would just so they know about it, I was about ready to file one for you (I didn't see one against python-iniparse)

Comment 5 James Antill 2008-12-07 18:35:53 UTC
The sqlitesack ones are now fixed in upstream:

2310e48492bca17a9439d0ea834d9e0dd9caf049


Note You need to log in before you can comment on or make changes to this bug.